[Linux-PowerEdge] srvadmin-omcommon-7.2.0-4.459.9.sles11 FAILED

Stephen Berg (Contractor) stephen.berg.ctr at nrlssc.navy.mil
Thu Jan 31 05:38:31 CST 2013


On 01/31/2013 03:59 AM, Tony Molloy wrote:
> On Thursday 31 January 2013 09:29:04 Werner Frerichs wrote:
>> Updating srvadmin-omcommon-7.2.0-4.459.9.sles11 failed with the
>> following error message.
>>
>> Installation von: srvadmin-omcommon-7.2.0-4.459.9.sles11 [Fehler]
>> Installation von srvadmin-omcommon-7.2.0-4.459.9.sles11
>>   fehlgeschlagen: (mit --nodeps --force) Fehler: Subprocess failed.
>>   Error: RPM fehlgeschlagen: cp: cannot stat
>> `/opt/dell/srvadmin/etc/openmanage/wwwroot/oem/data/ini/*ini': No
>>   such file or directory
>> error: %pre(srvadmin-omcommon-7.2.0-4.459.9.sles11.x86_64)
>>   scriptlet failed, exit status 1
>> error:   install: %pre scriptlet failed (2), skipping
>> srvadmin-omcommon-7.2.0-4.459.9.sles11
>>
>> The *.ini files can be found in the several subdirectories but not
>>   in the folder itself. I don't know if I should touch a dummy file
>>   in the folder as a workaround or to wait for a fix.
>>
>> _______________________________________________
>> Linux-PowerEdge mailing list
>> Linux-PowerEdge at dell.com
>> https://lists.us.dell.com/mailman/listinfo/linux-poweredge
>>
> As I said in a previous post that's exactly what I done and it worked
> on CentOS 6.3.
>
> Tony
>
> _______________________________________________
> Linux-PowerEdge mailing list
> Linux-PowerEdge at dell.com
> https://lists.us.dell.com/mailman/listinfo/linux-poweredge
Found a different solution but I don't recall where.

yum -y remove srvadmin-omcommon
(This will remove a few other packages as dependencies.)

yum -y install srvadmin-all
(This gets srvadmin-omcommon and the dependencies reinstalled correctly.)

Everything seems fine after that.

-- 
Stephen Berg
Systems Administrator
NRL Code: 7320
Office: 228-688-5738
stephen.berg.ctr at nrlssc.navy.mil



More information about the Linux-PowerEdge mailing list